<?php
namespace FacturaScripts\Plugins\Partes\Lib\Widget;

use FacturaScripts\Core\Lib\Widget\BaseWidget;
use FacturaScripts\Dinamic\Model\Proyecto;
use FacturaScripts\Dinamic\Model\TareaProyecto;

class WidgetMostrarProyecto extends BaseWidget
{
    public function __construct($data)
    {
        parent::__construct($data);
    }

    protected function assets()
    {
    }

    protected function inputHtml($type = 'text', $extraClass = '')
    {
        return parent::inputHtml($type, $extraClass);
    }

    protected function show()
    {
        $idtarea = $this->value;

        $tarea = new TareaProyecto();
        if (false === $tarea->loadFromCode($idtarea)) {
            return '';
        }

        $proyecto = new Proyecto();
        if (false === $proyecto->loadFromCode($tarea->idproyecto)) {
            return '';
        }

        return '<a href="' . $proyecto->url() . '">' . $proyecto->nombre . '</a>';
    }
}
